Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TdjWebFilterHolder Class Reference

Holds a WebFilter and configuration data. More...

Inheritance diagram for TdjWebFilterHolder:

## Public Member Functions
| TdjWebFilterHolder (TdjWebFilterClass WebFilterClass)
| SetContext (const IContext Context)
| Set the context.
| SetInitParameter (const string Key, const string Value)
| Set initialization parameter.
| DoStart ()
| Start the filter.
| DoStop ()
| Stop the filter.
| DoFilter (TdjServerContext Context, TdjRequest Request, TdjResponse Response, const IWebFilterChain Chain)
Public Member Functions inherited from TdjGenericHolder
| TdjGenericHolder (TInterfacedClass AClass)
Public Member Functions inherited from TdjLifeCycle
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Public Attributes
TdjWebFilterClass | WebFilterClass
| The filter class.
TdjWebFilter | WebFilter
| The instance of the filter.
Public Attributes inherited from TdjGenericHolder
string | Name
Public Attributes inherited from TdjLifeCycle
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".

## Additional Inherited Members
Protected Member Functions inherited from TdjLifeCycle
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.

## Detailed Description

Holds a WebFilter and configuration data.

## Member Function Documentation

## ◆ SetContext()

TdjWebFilterHolder::SetContext | ( | const IContext | Context | ) |

Set the context.

Parameters

  Context | the Web Filter context

Referenced by TdjWebComponentContextHandler::AddWebFilter().

## ◆ SetInitParameter()

TdjWebFilterHolder::SetInitParameter | ( | const string | Key,
|  | const string | Value )

Set initialization parameter.

Parameters

  Key | init parameter name
  Value | init parameter value

## Member Data Documentation

## ◆ WebFilter

TdjWebFilter TdjWebFilterHolder::WebFilter

The instance of the filter.

See also
  FWebFilter For reading

## ◆ WebFilterClass

TdjWebFilterClass TdjWebFilterHolder::WebFilterClass

The filter class.

See also
  GetClass For reading